<div *ngIf="fanfic && visible">
  <div class="fanfic-header">
    <h1>{{ fanfic.title }}</h1>
    <div *ngIf="fanfic.image">
      <img src="{{fanfic.image}}" alt="Fanfic image">
    </div>
    <h2>{{ 'Fanfics.get.genre' | translate:lang }} - {{fanfic.genre}}</h2>
    <h2>{{ 'Fanfics.get.description' | translate:lang }}</h2>
    <p>{{ fanfic.description }}</p>
    <h2>{{ 'Fanfics.get.rating' | translate:lang }}: {{ fanfic.rating.toFixed(1) }} <i class="fa fa-star"></i></h2>
    <h2>{{ 'Fanfics.get.tags' | translate:lang }}</h2>
    <ul>
      <li *ngFor="let tag of fanfic.Tags">{{tag.value}}</li>
    </ul>
    <h2>{{ 'Fanfics.get.chapters' | translate:lang }}</h2>
    <ol>
      <li class="chapters" *ngFor="let chapter of fanfic.Chapters">
        <a (click)="setPage(chapter.number)">{{chapter.title}}</a>
      </li>
    </ol>
  </div>
  <div *ngFor="let chapter of fanfic.Chapters">
    <app-show-chapter *ngIf="currentPage + 1 === chapter.number"
                      [rates]="rates"
                      [chapter]="chapter"></app-show-chapter>
  </div>
  <div *ngIf="currentPage !== undefined">
    <hr>
    <h2>{{ 'Fanfics.get.comments' | translate:lang }}</h2>
    <app-create-comment [fanfic]="fanfic"></app-create-comment>
    <div *ngIf="likes">
      <app-show-comment *ngFor="let comment of fanfic.Comments"
                        [liked]="liked(comment.id)"
                        [comment]="comment"></app-show-comment>
    </div>
  </div>
</div>
<div *ngIf="fanfic && !visible" (scroll)="onContentScroll($event)">
  <div *ngFor="let chapter of fanfic.Chapters">
    <app-show-chapter [id]="'chapter' + chapter.number"
                      [rates]="rates"
                      [chapter]="chapter"></app-show-chapter>
  </div>
  <progress value="0">
    <div class="progress-container">
      <span class="progress-bar"></span>
    </div>
  </progress>
</div>
<button class="btn btn-info btn-read" (click)="switchMode()"><i class="fa fa-book"></i></button>
<button *ngIf="!visible"
        (click)="showChapters()"
        class="btn btn-info btn-chapters"><i class="fa fa-search"></i></button>
<div *ngIf="!visible && visibleChapters" class="chapter-menu">
  <ul class="list-unstyled">
    <li *ngFor="let chapter of fanfic.Chapters">
      <button scrollTo
              class="btn btn-link btn-navigate"
              scrollTargetSelector="#chapter{{chapter.number}}">{{chapter.title}}</button>
    </li>
  </ul>
</div>


